<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.options.Option</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.options-module.html">Module&nbsp;options</a> ::
        Class&nbsp;Option
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.options.Option-class.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Option</h1><span class="codelink"><a href="screenlets.options-pysrc.html#Option">source&nbsp;code</a></span><br /><br />
<pre class="base-tree">
     object --+    
              |    
gobject.GObject --+
                  |
                 <strong class="uidshort">Option</strong>
</pre>

<dl><dt>Known Subclasses:</dt>
<dd>
    <a href="screenlets.options.AccountOption-class.html">AccountOption</a>,
    <a href="screenlets.options.BoolOption-class.html">BoolOption</a>,
    <a href="screenlets.options.ColorOption-class.html">ColorOption</a>,
    <a href="screenlets.options.DirectoryOption-class.html">DirectoryOption</a>,
    <a href="screenlets.options.FileOption-class.html">FileOption</a>,
    <a href="screenlets.options.IntOption-class.html">IntOption</a>,
    <a href="screenlets.options.FontOption-class.html">FontOption</a>,
    <a href="screenlets.options.ImageOption-class.html">ImageOption</a>,
    <a href="screenlets.options.ListOption-class.html">ListOption</a>,
    <a href="screenlets.options.StringOption-class.html">StringOption</a>
</dd></dl>

<hr />
An Option stores information about a certain object-attribute. It 
  doesn't carry information about the value or the object it belongs to - 
  it is only a one-way data-storage for describing how to handle 
  attributes.<br /><br />

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.Option-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">group</span>,
        <span class="summary-sig-arg">name</span>,
        <span class="summary-sig-arg">default</span>,
        <span class="summary-sig-arg">label</span>,
        <span class="summary-sig-arg">desc</span>,
        <span class="summary-sig-arg">disabled</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">hidden</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">callback</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">protected</span>=<span class="summary-sig-default">False</span>)</span><br />
      Creates a new Option with the given information.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#Option.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.Option-class.html#on_import" class="summary-sig-name">on_import</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">strvalue</span>)</span><br />
      Callback - called when an option gets imported from a string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#Option.on_import">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets.options.Option-class.html#on_export" class="summary-sig-name">on_export</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">value</span>)</span><br />
      Callback - called when an option gets exported to a string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets.options-pysrc.html#Option.on_export">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__cmp__</code>,
      <code>__delattr__</code>,
      <code>__gdoc__</code>,
      <code>__gobject_init__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>chain</code>,
      <code>connect</code>,
      <code>connect_after</code>,
      <code>connect_object</code>,
      <code>connect_object_after</code>,
      <code>disconnect</code>,
      <code>disconnect_by_func</code>,
      <code>emit</code>,
      <code>emit_stop_by_name</code>,
      <code>freeze_notify</code>,
      <code>get_data</code>,
      <code>get_properties</code>,
      <code>get_property</code>,
      <code>handler_block</code>,
      <code>handler_block_by_func</code>,
      <code>handler_disconnect</code>,
      <code>handler_is_connected</code>,
      <code>handler_unblock</code>,
      <code>handler_unblock_by_func</code>,
      <code>notify</code>,
      <code>props</code>,
      <code>set_data</code>,
      <code>set_properties</code>,
      <code>set_property</code>,
      <code>stop_emission</code>,
      <code>thaw_notify</code>,
      <code>weak_ref</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__getattribute__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__str__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.options.Option-class.html#__gsignals__" class="summary-name">__gsignals__</a> = <code title="dict(option_changed= (gobject.SIGNAL_RUN_FIRST, gobject.TYPE_NONE, (go\
bject.TYPE_OBJECT,)))">dict(option_changed= (gobject.SIGNAL_RUN_FIRST,<code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__gtype__"></a><span class="summary-name">__gtype__</span> = <code title="&lt;GType screenlets+options+Option (140195744)&gt;">&lt;GType screenlets+options+Option (140195744)&gt;</code>
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>gobject.GObject</code></b>:
      <code>__grefcount__</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">group</span>,
        <span class="sig-arg">name</span>,
        <span class="sig-arg">default</span>,
        <span class="sig-arg">label</span>,
        <span class="sig-arg">desc</span>,
        <span class="sig-arg">disabled</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">hidden</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">callback</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">protected</span>=<span class="sig-default">False</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#Option.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Creates a new Option with the given information.
  <dl class="fields">
    <dt>Overrides:
      gobject.GObject.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="on_import"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">on_import</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">strvalue</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#Option.on_import">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Callback - called when an option gets imported from a string. This 
  function MUST return the string-value converted to the required type!
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="on_export"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">on_export</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">value</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets.options-pysrc.html#Option.on_export">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Callback - called when an option gets exported to a string. The 
  value-argument needs to be converted to a string that can be imported by 
  the on_import-handler. This handler MUST return the value converted to a 
  string!
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== CLASS VARIABLE DETAILS ==================== -->
<a name="section-ClassVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__gsignals__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">__gsignals__</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
dict(option_changed= (gobject.SIGNAL_RUN_FIRST, gobject.TYPE_NONE, (go<span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
bject.TYPE_OBJECT,)))
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:58 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
